# SuperLU

A Dart package for the direct solution of large, sparse, symmetric systems
of linear equations using [SuperLU][].

    Ax = b

## Usage

Include the appropriate [Emscripten][] module in your page:

    <script src="packages/superlu/zsuperlu.js"></script>

Compute the factorization of a matrix in compressed column form:

    var factors = new Factors(a, asub, xa);

Solve for one or more right-hand-side and free up the LU matrices. `rhs` is
overwritten with the solution:

    factors.solve(n, 1, rhs);
    factors.free();

[SuperLU]: http://crd-legacy.lbl.gov/~xiaoye/SuperLU/
[Emscripten]: http://emscripten.org/

